Draft: Raccordo

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Fillet and the translation is 41% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎русский
Arrow-left.svg Pagina precedente: Draft Wire.svg Polilinea
Pagina successiva: Cerchio Draft Circle.svg Arrow-right.svg

Draft Fillet.svg Raccordo

Posizione nel menu
Draft → Raccordo
Ambiente
Draft
Avvio veloce
Nessuno
Introdotto nella versione
0.19
Vedere anche
Linea, Polilinea

Descrizione

Lo strumento Raccordo crea un raccordo, un angolo arrotondato, tra due semplici Linee. In alternativa, può creare uno smusso, un bordo dritto, tra queste due linee.

Draft Fillet example.png

Diversi raccordi e smussi creati tra due linee

Utilizzo

  1. Selezionare due linee già inserite nel documento e che si incontrano in un punto.
  2. Premere il pulsante Draft Fillet.svg Raccordo.
  3. Scegliere il raggio del raccordo, quindi premere Invio.

Opzioni

  • Selezionare la casella di controllo "Elimina oggetti originali" se si desidera eliminare le due linee originali e lasciare solo il nuovo oggetto raccordo.
  • Selezionare la casella di controllo "Crea smusso" se si desidera creare un bordo dritto, anziché un bordo arrotondato, tra le due linee.
  • Premere Esc o Chiudi per annullare il comando corrente.

Notes

Note:

  • Se il raggio è troppo grande in modo che l'arco prodotto non sia tangente a una delle linee, l'operazione non avrà un esito positivo.
  • Al momento sono supportate solo singole linee; le polilinee, ovvero linee con più punti, potrebbero non produrre il risultato desiderato.

Proprietà

See also: Property editor.

A Draft Fillet object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:

Dati

Draft

  • DatiStart: (sola lettura) specifica il punto iniziale.
  • DatiEnd: (sola lettura) specifica il punto finale.
  • DatiLength: (sola lettura) specifica la lunghezza dell'intero segmento.
  • DatiFillet Radius: (sola lettura) raggio con cui è stato creato il raccordo.

Vista

Draft

  • VistaEnd Arrow: se è true verrà visualizzato un simbolo nell'ultimo punto della linea, quindi può essere usata come una linea di annotazione.
  • VistaArrow Size: specifica la dimensione del simbolo visualizzato alla fine della linea.
  • VistaArrow Type: specifica il tipo di simbolo visualizzato alla fine della linea, che può essere "Dot", "Circle", "Arrow", o "Tick", or "Tick-2" ("Punto", "Cerchio", "Freccia", o "Tratto").

Script

Lo strumento Fillet può essere utilizzato nelle macro e dalla console Python utilizzando la seguente funzione:

fillet = make_fillet([line1, line2], radius=100, chamfer=False, delete=False)
  • Crea un oggetto Fillet tra le linne line1 e line2, usando radius come raggio di curvatura.
  • Se chamfer è True crea un bordo dritto con la lunghezza di radius, invece di un bordo arrotondato.
  • Se delete è True cancella le line1 e line2, e lascia solo il nuovo oggetto.

Esempio:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(2000, 0, 0)

line1 = Draft.make_line(p1, p2)
line2 = Draft.make_line(p2, p3)

doc.recompute()

fillet = Draft.make_fillet([line1, line2], radius=500)

doc.recompute()


Arrow-left.svg Pagina precedente: Draft Wire.svg Polilinea
Pagina successiva: Cerchio Draft Circle.svg Arrow-right.svg